function [fa, ma] = aero(x,delta,P)
Vw = [0 0 0]';
p = x(10);
q = x(11);
r = x(12);
u_r = x(4) - Vw(1);
v_r = x(5) - Vw(2);
w_r = x(6) - Vw(3);
Va = sqrt(u_r^2 + v_r^2 + w_r^2);
alpha = atan2(w_r,u_r);              
beta = asin(v_r/Va); 

delta_e = delta(1);
delta_a = delta(2);






% if alpha >= 0.25      % Nonlinear
%     sigma = (1+exp(-P.M*(alpha-P.alpha0)) + exp(P.M*(alpha+P.alpha0)))/...
%         ((1+exp(-P.M*(alpha-P.alpha0)))*(1+exp(P.M*(alpha+P.alpha0))));
%     CLALPHA = (1-sigma)*(P.C_L_0+P.C_L_alpha*alpha) + ...
%         sigma*(2*sign(alpha)*(sin(alpha)^2)*cos(alpha));
%     CDALPHA = P.C_D_p + ((P.C_L_0 + P.C_L_alpha*alpha)^2)/(pi*P.e*P.AR);
% else
    CLALPHA = P.C_L_0 + P.C_L_alpha * alpha;
    CDALPHA = P.C_D_0 + P.C_D_alpha1 * alpha;
% end

% Longitudinal aerodynamics (lift, drag, pitching moment)
F_lift = (1/2)*P.rho*(Va^2)*P.S_wing*(CLALPHA + ...
    (P.C_L_q*P.c*q)/(2*Va) + P.C_L_delta_e*delta_e);
F_drag = (1/2)*P.rho*(Va^2)*P.S_wing*(CDALPHA + ...
    (P.C_D_q*P.c*q)/(2*Va) + P.C_D_delta_e*delta_e);
m = (1/2)*P.rho*(Va^2)*P.S_wing*P.c*...
    (P.C_m_0 + P.C_m_alpha*alpha + (P.C_m_q*P.c*q)/(2*Va) + ...
    P.C_m_delta_e*delta_e);

f_x = [cos(alpha), -sin(alpha)]*[-F_drag, -F_lift]';
f_z = [sin(alpha), cos(alpha)]*[-F_drag, -F_lift]';

% Lateral aerodynamics
f_y = (1/2)*P.rho*(Va^2)*P.S_wing*(P.C_Y_0 + P.C_Y_beta*beta +...
    (P.C_Y_p*P.b*p)/(2*Va) + (P.C_Y_r*P.b*r)/(2*Va) + ...
    P.C_Y_delta_a*delta_a);
l = (1/2)*P.rho*(Va^2)*P.S_wing*P.b*(P.C_l_0 +...
    P.C_l_beta*beta + (P.C_l_p*P.b*p)/(2*Va)...
    + (P.C_l_r*P.b*r)/(2*Va) + P.C_l_delta_a*delta_a);
n = (1/2)*P.rho*(Va^2)*P.S_wing*P.b*(P.C_n_0 + P.C_n_beta*beta + ...
    (P.C_n_p*P.b*p)/(2*Va) + (P.C_n_r*P.b*r)/(2*Va) +...
    P.C_n_delta_a*delta_a);

ma = [l, m, n]';
fa = [f_x, f_y, f_z]';
end