function [fa, ma] = aero_sysid(x,delta,P,sysparam)
Vw = [0 0 0]';
pn = x(1);
pe = x(2);
pd = x(3);
u = x(4);
v = x(5);
w = x(6);
phi = x(7);
theta = x(8);
psi = x(9);
p = x(10);
q = x(11);
r = x(12);
u_r = x(4) - Vw(1);
v_r = x(5) - Vw(2);
w_r = x(6) - Vw(3);
Va = sqrt(u_r^2 + v_r^2 + w_r^2);
alpha = atan2(w_r,u_r);              
beta = asin(v_r/Va); 

delta_e = delta(1);
delta_a = delta(2);

C_L_0 = sysparam(1);
C_L_alpha = sysparam(2);
C_L_delta_e = sysparam(3);
C_L_q = sysparam(4);
C_D_0 = sysparam(5);
C_D_alpha1 = sysparam(6);
C_D_delta_e = sysparam(7);
C_D_q = sysparam(8);
C_m_0 = sysparam(9);
C_m_alpha = sysparam(10);
C_m_delta_e = sysparam(11);
C_m_q = sysparam(12);
C_Y_0 = sysparam(13);
C_Y_beta = sysparam(14);
C_Y_delta_a = sysparam(15);
C_Y_p = sysparam(16);
C_Y_r = sysparam(17);
C_l_0 = sysparam(18);
C_l_beta = sysparam(19);
C_l_delta_a = sysparam(20);
C_l_p = sysparam(21);
C_l_r = sysparam(22);
C_n_0 = sysparam(23);
C_n_beta = sysparam(24);
C_n_delta_a = sysparam(25);
C_n_p = sysparam(26);
C_n_r = sysparam(27);





% if alpha >= 0.25      % Nonlinear
%     sigma = (1+exp(-M*(alpha-alpha0)) + exp(M*(alpha+alpha0)))/...
%         ((1+exp(-M*(alpha-alpha0)))*(1+exp(M*(alpha+alpha0))));
%     CLALPHA = (1-sigma)*(C_L_0+C_L_alpha*alpha) + ...
%         sigma*(2*sign(alpha)*(sin(alpha)^2)*cos(alpha));
%     CDALPHA = C_D_p + ((C_L_0 + C_L_alpha*alpha)^2)/(pi*P.e*P.AR);
% else
    CLALPHA = C_L_0 + C_L_alpha * alpha;
    CDALPHA = C_D_0 + C_D_alpha1 * alpha;
% end

% Longitudinal aerodynamics (lift, drag, pitching moment)
F_lift = (1/2)*P.rho*(Va^2)*P.S_wing*(CLALPHA + ...
    (C_L_q*P.c*q)/(2*Va) + C_L_delta_e*delta_e);
F_drag = (1/2)*P.rho*(Va^2)*P.S_wing*(CDALPHA + ...
    (C_D_q*P.c*q)/(2*Va) + C_D_delta_e*delta_e);
m = (1/2)*P.rho*(Va^2)*P.S_wing*P.c*...
    (C_m_0 + C_m_alpha*alpha + (C_m_q*P.c*q)/(2*Va) + ...
    C_m_delta_e*delta_e);

f_x = [cos(alpha), -sin(alpha)]*[-F_drag, -F_lift]';
f_z = [sin(alpha), cos(alpha)]*[-F_drag, -F_lift]';

% Lateral aerodynamics
f_y = (1/2)*P.rho*(Va^2)*P.S_wing*(C_Y_0 + C_Y_beta*beta +...
    (C_Y_p*P.b*p)/(2*Va) + (C_Y_r*P.b*r)/(2*Va) + ...
    C_Y_delta_a*delta_a);
l = (1/2)*P.rho*(Va^2)*P.S_wing*P.b*(C_l_0 +...
    C_l_beta*beta + (C_l_p*P.b*p)/(2*Va)...
    + (C_l_r*P.b*r)/(2*Va) + C_l_delta_a*delta_a);
n = (1/2)*P.rho*(Va^2)*P.S_wing*P.b*(C_n_0 + C_n_beta*beta + ...
    (C_n_p*P.b*p)/(2*Va) + (C_n_r*P.b*r)/(2*Va) +...
    C_n_delta_a*delta_a);

ma = [l, m, n]';
fa = [f_x, f_y, f_z]';
end